<?php
require_once ("/usr/local/php/include/apiCall.class.php");
require_once('/usr/local/php/include/shortMessageService.Class.php');

class CbmDeleteMessage extends apiCall {
	private $_cbm;

	function __construct($get = null, $post = null, $files = null){
		parent::__construct($get,$post,$files);
		$this->_name = basename(dirname(__FILE__));
		$this->_cbm = new ShortMessageService();
	}

	function execute () {

		if (!isset($this->_parameters['CbmQueue']) || !isset($this->_parameters['CbmIdentifier'])) {
			$this->_execResultString = 'error:invalid_parameters;';
			$this->_execResult = false;
			$this->_execResponseCode = 405;
			return($this->_execResult);
		}

		$this->_cbm->deleteMessage($this->_parameters['CbmQueue'], $this->_parameters['CbmIdentifier']);

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}

}?>